@extends ('layouts.main-layout')

@section('page-title', 'Editar '.$articulo->nombre)

@section('content-area')
    <h1>Editar artículo</h1>
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li><strong>{{ $error }}</strong></li>
                @endforeach
            </ul>
        </div>
    @endif
    <div class="container">
        <form action="{{ route('articulos.update', ['articulo'=>$articulo]) }}" method="post">
            @method('PUT')
            @csrf
            <legend>Editar artículo</legend>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="nombre">Nombre del artículo</label>
                    <input type="text" name="nombre" id="nombre" value="{{ old('nombre') ? : $articulo->nombre }}" class="form-control">
                </div>
                <div class="input-field col-sm-6">
                    <label for="color">Color</label>
                    <input type="text" name="color" id="color" value="{{ old('color') ? : $articulo->color }}" class="form-control">
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="compra">Precio de compra</label>
                    <input type="number" name="precio_compra" id="precio_compra" min="0.01" step="0.01" value="{{ old('precio_compra') ? : $articulo->precio_compra }}" class="form-control">
                </div>
                <div class="input-field col-sm-6">
                    <label for="venta">Precio de venta</label>
                    <input type="number" name="precio_venta" id="precio_venta" min="0.01" step="0.01" value="{{ old('precio_venta') ? : $articulo->precio_venta }}" class="form-control">
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="stock">Stock inicial</label>
                    <input type="number" name="stock" id="stock" min="0" value="{{ old('stock') ? : $articulo->stock }}" class="form-control">
                </div>
                <div class="col-sm-6">
                    <div class="row">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Envío a domicilio</div>
                    <span>
                        <label>
                            <input name="envio_domicilio" type="radio" value="N" checked />
                            <span>NO</span>
                        </label>
                    </span>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <span>
                        <label>
                            <input name="envio_domicilio" type="radio" value="S" {{ old('envio_domicilio') == 'S'?'checked':(($articulo->envio_domicilio == 'S')?'checked':'') }} />
                            <span>SÍ</span>
                        </label>
                    <span>
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-12">
                    <label for="descripcion">Descripción</label><br>
                    <textarea name="descripcion" id="descripcion" class="form-control">{{ old('descripcion') ? : $articulo->descripcion }}</textarea>
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-12">
                    <label for="observaciones">Observaciones</label><br>
                    <textarea name="observaciones" id="observaciones" class="form-control">{{ old('observaciones') ? : $articulo->observaciones }}</textarea>
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-3">
                    <input class="btn btn-primary btn-small" type="submit" value="Enviar">
                </div>
                <div class="input-field col-sm-3">
                    <input class="btn btn-secondary btn-small" type="reset" value="Borrar">
                </div>
            </div>
        </form>
    </div>
@endsection
