@extends ('layouts.main-layout')

@section('page-title', $articulo->nombre)

@section('content-area')
    <h1>Detalles de {{ $articulo->nombre }}</h1>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">ID:</strong>
        </div>
        <div class="col-sm-10">
            {{ $articulo->id }}
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">NOMBRE:</strong>
        </div>
        <div class="col-sm-10">
            {{ $articulo->nombre }}
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">DESCRIPCIÓN:</strong>
        </div>
        <div class="col-sm-10">
            {{ $articulo->descripcion }}
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">COLOR:</strong>
        </div>
        <div class="col-sm-10">
            {{ $articulo->color }}
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">PRECIO DE COMPRA:</strong>
        </div>
        <div class="col-sm-10">
            @priceformat($articulo->precio_compra)
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">PRECIO DE VENTA:</strong>
        </div>
        <div class="col-sm-10">
            @priceformat($articulo->precio_venta)
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">A DOMICILIO:</strong>
        </div>
        <div class="col-sm-10">
            @yes_no($articulo->envio_domicilio)
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">STOCK:</strong>
        </div>
        <div class="col-sm-10">
            {{ $articulo->stock }} unidades disponibles.
        </div>
    </div>
    @isset($articulo->observaciones)
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">OBSERVACIONES:</strong>
        </div>
        <div class="col-sm-10">
            {{ $articulo->observaciones }}
        </div>
    </div>
    @endisset
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">ALTA:</strong>
        </div>
        <div class="col-sm-10">
            @fecha_hispana($articulo->created_at)
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <strong class="text-danger">ÚLTIMA EDICIÓN:</strong>
        </div>
        <div class="col-sm-10">
            @fecha_hispana($articulo->updated_at)
        </div>
    </div>
@endsection
