<?php $__env->startSection('page-title', 'Editar '.$articulo->nombre); ?>

<?php $__env->startSection('content-area'); ?>
    <h1>Editar artículo</h1>
    <?php if($errors->any()): ?>
        <div class="card-panel red accent-4 white-text">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><strong><?php echo e($error); ?></strong></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>
    <div class="container">
        <form action="<?php echo e(route('articulos.update', ['articulo'=>$articulo])); ?>" method="post">
            <?php echo method_field('PUT'); ?>
            <?php echo csrf_field(); ?>
            <legend>Editar artículo</legend>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="nombre">Nombre del artículo</label>
                    <input type="text" name="nombre" id="nombre" value="<?php echo e(old('nombre') ? : $articulo->nombre); ?>" class="form-control">
                </div>
                <div class="input-field col-sm-6">
                    <label for="color">Color</label>
                    <input type="text" name="color" id="color" value="<?php echo e(old('color') ? : $articulo->color); ?>" class="form-control">
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="compra">Precio de compra</label>
                    <input type="number" name="precio_compra" id="precio_compra" min="0.01" step="0.01" value="<?php echo e(old('precio_compra') ? : $articulo->precio_compra); ?>" class="form-control">
                </div>
                <div class="input-field col-sm-6">
                    <label for="venta">Precio de venta</label>
                    <input type="number" name="precio_venta" id="precio_venta" min="0.01" step="0.01" value="<?php echo e(old('precio_venta') ? : $articulo->precio_venta); ?>" class="form-control">
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="stock">Stock inicial</label>
                    <input type="number" name="stock" id="stock" min="0" value="<?php echo e(old('stock') ? : $articulo->stock); ?>" class="form-control">
                </div>
                <div class="col-sm-6">
                    <div class="row">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Envío a domicilio</div>
                    <span>
                        <label>
                            <input name="envio_domicilio" type="radio" value="N" checked />
                            <span>NO</span>
                        </label>
                    </span>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <span>
                        <label>
                            <input name="envio_domicilio" type="radio" value="S" <?php echo e(old('envio_domicilio') == 'S'?'checked':(($articulo->envio_domicilio == 'S')?'checked':'')); ?> />
                            <span>SÍ</span>
                        </label>
                    <span>
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-12">
                    <label for="descripcion">Descripción</label><br>
                    <textarea name="descripcion" id="descripcion" class="form-control"><?php echo e(old('descripcion') ? : $articulo->descripcion); ?></textarea>
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-12">
                    <label for="observaciones">Observaciones</label><br>
                    <textarea name="observaciones" id="observaciones" class="form-control"><?php echo e(old('observaciones') ? : $articulo->observaciones); ?></textarea>
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-3">
                    <input class="btn btn-primary btn-small" type="submit" value="Enviar">
                </div>
                <div class="input-field col-sm-3">
                    <input class="btn btn-secondary btn-small" type="reset" value="Borrar">
                </div>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>