<?php $__env->startSection('page-title', 'Bienvenidos a la tienda'); ?>

<?php $__env->startSection('content-area'); ?>
    <h1>Lista global de artículos</h1>
    <table class="table table-striped">
        <thead>
            <tr>
                <th>Artículo</th>
                <th>Descripción</th>
                <th>Color</th>
                <th class='celda-precio'>P. Compra</th>
                <th class='celda-precio'>P. Venta</th>
                <th class='celda-enlaces'>&nbsp</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $articulos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $articulo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <a href="<?php echo e(route('articulos.show', ['articulo'=>$articulo])); ?>">
                            <?php echo e($articulo->nombre); ?>

                        </a>
                    </td>
                    <td><?php echo e($articulo->descripcion); ?></td>
                    <td><?php echo e($articulo->color); ?></td>
                    <td class='celda-precio'>
                        <?php echo number_format(floatval($articulo->precio_compra), 2, ',', '.')." €"; ?>
                    </td>
                    <td class='celda-precio'>
                        <?php echo number_format(floatval($articulo->precio_venta), 2, ',', '.')." €"; ?>
                    </td>
                    <td>
                        <span class='zona-enlace-editar'>
                            <a href="<?php echo e(route('articulos.edit', ['articulo'=>$articulo])); ?>">
                                <i class="material-icons">edit</i>
                            </a>
                        </span>
                        <span class='zona-enlace-borrar'>
                            <a href="" id="<?php echo e($articulo); ?>" class="delete_link">
                                <i class="material-icons">delete</i>
                            </a>
                        </span>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    
    <div class="modal" id="delete_modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Borrado de elemento</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Vas a eliminar el artículo <span id="zona_de_nombre"></span></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cancelar</button>
                    <a id="btn_confirm" href="#" class="btn btn-danger">Eliminar</a>
                </div>
            </div>
        </div>
    </div>

    
    <form id="delete_form" method="post" action="<?php echo e(route('articulos.destroy', ['articulo'=>$articulo])); ?>">
        <?php echo method_field('DELETE'); ?>
        <?php echo csrf_field(); ?>
    </form>

    <script language="javascript">
        var articulo;
        var articulo_array;
        // Definimos el modal de eliminación
        $('.modal').modal({
            'dismissible':false,
            'show':false,
        });

        // Cuando se pulsa un icono de borrar
        $('.delete_link').on('click', function(e) {
            e.preventDefault();
            articulo = $(this).attr('id');
            articulo_array = JSON.parse(articulo);
            $('#zona_de_nombre').html(articulo_array["nombre"]);
            $('#delete_modal').modal('show');
        });

        // Confirmar el borrado
        $('#btn_confirm').on('click', function(e) {
            e.preventDefault();
            var destino = ($("#delete_form").attr('action'));
            var corte = destino.lastIndexOf('/') + 1;
            var destinoBase = destino.substr(0, corte);
            destino = destinoBase + articulo_array["id"];
            $("#delete_form").attr('action', destino);
            $("#delete_form").submit();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>