<?php $__env->startSection('page-title', 'Lista de viajes'); ?>

<?php $__env->startSection('content-area'); ?>
    <div class="row">
        <div class="col col-sm-6 text-left">
            <h1>Viajes</h1>
        </div>
        <div class="col col-sm-6 text-right">
            <br>
            <a href="<?php echo e(route('tourCreate')); ?>" class="btn btn-success btn-sm">Nuevo</a>
        </div>
    </div>
   <div class="row"><br></div>

    <table class="table table-striped table-bordered table-hover">
        <thead class="thead-dark">
            <tr>
                <th>&nbsp;</th>
                <th>Destino</th>
                <th>F. inicio</th>
                <th>F. final</th>
                <th>Duración</th>
                <th>Precio</th>
                <th>Operador</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $viajes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $viaje): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td class="celda-de-ver-clientes">
                        <i class="material-icons icono-de-ver-clientes icono-verde" data-icon="<?php echo e($viaje->id); ?>">visibility</i>
                    </td>
                    <td>
                        <a href="<?php echo e(route('tourEdit', ['tour'=>$viaje->id])); ?>">
                            <?php echo e($viaje->destino); ?>

                        </a>
                    </td>
                    <td class="celda-de-fecha"><?php echo date('d-m-Y', strtotime($viaje->inicio_fecha)); ?></td>
                    <td class="celda-de-fecha"><?php echo date('d-m-Y', strtotime($viaje->final_fecha)); ?></td>
                    <td><?php echo e($viaje->duracion); ?></td>
                    <td class="celda-de-precio"><?php echo number_format(floatval($viaje->precio), 2, ',', '.')." €"; ?></td>
                    <td><?php echo e($viaje->operator()->withTrashed()->first()->nombre); ?></td>
                </tr>
                <tr>
                    <td colspan="7" class="celda-de-clientes <?php echo e($viaje->id); ?>">
                        <a href="<?php echo e(route('tourCustomers', ['tour'=>$viaje->id])); ?>">
                            Clientes:
                        </a>
                        <ul>
                            <?php $__currentLoopData = $viaje->customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e($customer->nombre); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    <script language="javascript">
        $('.icono-de-ver-clientes').on('click', function () {
            var viaje_id = $(this).attr('data-icon');
            var celda = $('td.' + viaje_id);
            if ($(this).html() == 'visibility') {
                $(this).html('visibility_off');
                $(this).removeClass('icono-verde');
                $(this).addClass('icono-rojo');
                celda.fadeIn(300);
            } else {
                $(this).html('visibility');
                $(this).addClass('icono-verde');
                $(this).removeClass('icono-rojo');
                celda.fadeOut(300);
            }

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>