@extends('layouts.main-layout')

@section('page-title', 'Asociar categorías')

@section('content-area')
    <h3>
    @if ($sentido == "ASC")
        Asociar padres a la categoría {{ $catActual->cat_name }}
    @else
        Asociar hijos a la categoría {{ $catActual->cat_name }}
    @endif
    </h3>

    <div class="row"><br></div>
    <form action="{{ route('add_attaches') }}" method="post">
        @csrf
        <input type="hidden" name="cat_en_curso" value="{{ $catActual->id }}">
        <input type="hidden" name="sentido" value="{{ $sentido }}">
        <div class="row">
            <div class="col col-sm-10">
                <label for="cats_para_asociar">
                    @if ($sentido == "ASC")
                        Padres disponibles
                    @else
                        Hijos disponibles
                    @endif
                </label>
                <select class="form-control" size="15" id="cats_para_asociar" name="cats_para_asociar[]" multiple>
                    @foreach ($disponibles as $disponible)
                        <option value="{{ $disponible->id }}">
                            {{ $disponible->cat_name }}
                        </option>
                    @endforeach
                </select>
            </div>

            <div class="col col-sm-2 text-right">
                <div class="row"><p>&nbsp;</p></div>
                <a href="{{ route ('listar') }}" class="btn btn-primary">Listado</a>
                <div class="row"><p>&nbsp;</p></div>
                <input type="submit" class="btn btn-success" value="Grabar" disabled>
            </div>
        </div>
    </form>
@endsection

@section('js')
    <script language="javascript" src="{{ asset('js/categories/asociar.js') }}">
    </script>
@endsection







