<?php

namespace App;

use App\Manager;
use App\Task;
use Illuminate\Database\Eloquent\Model;

class City extends Model
{
    protected $table = 'cities';
    protected $fillable = [
        'ciudad',
        'pais',
    ];

    public function managers()
    {
        return $this->belongsToMany(Manager::class, 'city_manager_task')
            ->withTimestamps()
            ->withPivot('f_inicio', 'f_final', 'activa');
    }

    public function tasks()
    {
        return $this->belongsToMany(Task::class, 'city_manager_task')
            ->withTimestamps()
            ->withPivot('f_inicio', 'f_final', 'activa');
    }
}
