<?php

namespace App;

use App\Category;
use App\Shop;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Article extends Model
{
    use SoftDeletes;
    protected $table='articles';
    protected $fillable=[
        'category_id',
        'nombre',
        'descripcion',
        'precio_compra',
        'precio_venta',
    ];
    protected $dates = [
        'deleted_at'
    ];
    public function category()
    {
        return $this->belongsTo(Category::class);
    }
    public function shops()
    {
        return $this->belongsToMany(Shop::class);
    }
}
