<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Collection;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        Collection::macro('price', function($campo) {
            return $this->map(function ($elemento) use ($campo) {
                $elemento[$campo] = number_format ($elemento[$campo], 2, ',', '.');
                $elemento[$campo] .= ' €';
                return $elemento;
            });
        });
    }
}
