<?php

use App\Category;
use App\Article;
use App\Shop;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        factory (Category::class, 20)->create();
        $shops = factory (Shop::class, 300)->create();
        factory (Article::class, 100)
            ->create()
            ->each(function ($article) use ($shops)
                {
                    $article->shops()
                        ->attach($shops
                            ->random(mt_rand(10, 40))
                            ->pluck('id')
                        );
                }
            );
    }
}
