<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $table = "categories";
    protected $fillable = [
        'cat_name',
        'cat_description',
    ];

    public function parentCategories()
    {
        return $this->belongsToMany(Category::class, 'category_subcategory', 'category_id', 'parent_id');
    }

    public function categories()
    {
        return $this->belongsToMany(Category::class, 'category_subcategory', 'parent_id', 'category_id');
    }
}
