@extends('layouts.main-layout')

@section('page-title', 'Listar')

@section('content-area')
    <h2>Listado de categorías</h2>
    @if ($categorias->count() == 0)
        <p class="alert alert-danger">
            En este momento no hay categorías disponibles
        </p>
    @else
        <table class="table table-striped table-bordered table-hover">
            <thead class="thead-dark">
                <tr>
                    <th class="celda-de-ver-asociaciones">PADRES</th>
                    <th class="celda-de-ver-asociaciones">HIJOS</th>
                    <th>CATEGORIA</th>
                </tr>
            </thead>
            <tbody>
                @foreach($categorias as $categoria)
                    <tr>
                        <td class="celda-de-ver-asociaciones">
                            <i class="material-icons icono-pulsable icono-verde" data-id="{{ $categoria->id }}" data-option="ASC_" data-type="VER">visibility<i>
                        </td>
                        <td class="celda-de-ver-asociaciones">
                            <i class="material-icons icono-pulsable icono-verde" data-id="{{ $categoria->id }}" data-option="DESC_" data-type="VER">visibility<i>
                        </td>
                        <td>{{ $categoria->cat_name }}</td>
                    </tr>
                    <tr class="celda-de-relaciones" id="ASC_{{ $categoria->id }}">
                        <td colspan="3">
                            @if ($categoria->ascendientes->count() == 0)
                                <div class="row">
                                @if ($categoria->dispAsc->count() > 0)
                                    <div class="col col-sm-1 text-right">
                                        <i class="material-icons icono-pulsable icono-azul" data-option="ASC" data-type="ADD" data-id="{{ $categoria->id }}">note_add</i>
                                    </div>
                                    <div class="col col-sm-11">
                                        <strong>LA CATEGORÍA {{ $categoria->cat_name }} NO TIENE ASCENDIENTES</strong>
                                    </div>
                                @else
                                    <div class="col col-sm-12">
                                        <strong>LA CATEGORÍA {{ $categoria->cat_name }} NO TIENE ASCENDIENTES</strong>
                                    </div>
                                @endif
                                </div>
                            @else
                                <div class="row">
                                @if ($categoria->dispAsc->count() > 0)
                                    <div class="col col-sm-1 text-right">
                                        <i class="material-icons icono-pulsable icono-azul" data-option="ASC" data-type="ADD" data-id="{{ $categoria->id }}">note_add</i>
                                    </div>
                                    <div class="col col-sm-11">
                                        <strong>ASCENDIENTES DE {{ $categoria->cat_name }}</strong>
                                    </div>
                                @else
                                    <div class="col col-sm-12">
                                        <strong>ASCENDIENTES DE {{ $categoria->cat_name }}</strong>
                                   </div>
                                @endif
                                </div>
                                @foreach($categoria->ascendientes as $asc)
                                    <div class="row">
                                        <div class="col col-sm-1 text-right">
                                            <i class="material-icons icono-pulsable icono-rojo" data-option="ASC" data-type="DEL" data-id="{{ $categoria->id }}" data-remove="{{ $asc->id }}">remove_circle</i>
                                        </div>
                                        <div class="col col-sm-11">
                                            {{ $asc->cat_name }}
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                        </td>
                    </tr>
                    <tr class="celda-de-relaciones" id="DESC_{{ $categoria->id }}">
                        <td colspan="3">
                            @if ($categoria->descendientes->count() == 0)
                                <div class="row">
                                @if ($categoria->dispDesc->count() > 0)
                                    <div class="col col-sm-1 text-right">
                                        <i class="material-icons icono-pulsable icono-azul" data-option="DESC" data-type="ADD" data-id="{{ $categoria->id }}">note_add</i>
                                    </div>
                                    <div class="col col-sm-11">
                                        <strong>LA CATEGORÍA {{ $categoria->cat_name }} NO TIENE DESCENDIENTES</strong>
                                    </div>
                                @else
                                    <div class="col col-sm-12">
                                        <strong>LA CATEGORÍA {{ $categoria->cat_name }} NO TIENE DESCENDIENTES</strong>
                                    </div>
                                @endif
                                </div>
                            @else
                                <div class="row">
                                @if ($categoria->dispDesc->count() > 0)
                                    <div class="col col-sm-1 text-right">
                                        <i class="material-icons icono-pulsable icono-azul" data-option="DESC" data-type="ADD" data-id="{{ $categoria->id }}">note_add</i>
                                    </div>
                                    <div class="col col-sm-11">
                                        <strong>DESCENDIENTES DE {{ $categoria->cat_name }}</strong>
                                    </div>
                                @else
                                    <div class="col col-sm-12">
                                        <strong>DESCENDIENTES DE {{ $categoria->cat_name }}</strong>
                                    </div>
                                @endif
                                </div>
                                @foreach($categoria->descendientes as $desc)
                                    <div class="row">
                                        <div class="col col-sm-1 text-right">
                                            <i class="material-icons icono-pulsable icono-rojo" data-option="DESC" data-type="DEL" data-id="{{ $categoria->id }}" data-remove="{{ $desc->id }}">remove_circle</i>
                                        </div>
                                        <div class="col col-sm-11">
                                            {{ $desc->cat_name }}
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        <div class="row">&nbsp;</div>
        <div class="row">
            <div class="col col-sm-12 text-center">
                {{ $categorias->links() }}
            </div>
        </div>
        /* Formulario para saltar a añadir o eliminar relaciones.*/
        <form id="gestionar_relaciones" action="" method="post">
            @csrf
            <input type="hidden" id="categoria_seleccionada" name="categoria_seleccionada" value="">
            <input type="hidden" id="categoria_para_quitar" name="categoria_para_quitar" value="">
            <input type="hidden" id="asc_desc" name="asc_desc" value="">
        </form>
    @endif
@endsection

@section('js')
    <script language = "javascript">
        var url_attach = "{{ route('cats_attaching') }}";
        var url_detach = "{{ route('cats_detaching') }}";
    </script>
    <script language = "javascript" src="{{ asset('js/categories/list.js') }}">
    </script>
@endsection




