@extends ('layouts.main-layout')

@section('page-title', 'Nuevo artículo')

@section('content-area')
    <h1>Nuevo artículo</h1>
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li><strong>{{ $error }}</strong></li>
                @endforeach
            </ul>
        </div>
    @endif
    <div class="container">
        <form action="{{ route('articulos.store') }}" method="post">
            @csrf
            <legend>Nuevo artículo</legend>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="form_nombre">Nombre del artículo</label>
                    <input class="form-control" type="text" name="form_nombre" id="form_nombre" value="{{ old('form_nombre') }}">
                </div>
                <div class="input-field col-sm-6">
                    <label for="form_color">Color</label>
                    <input class="form-control" type="text" name="form_color" id="form_color" value="{{ old('form_color') }}">
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="form_compra">Precio de compra</label>
                    <input class="form-control" type="number" name="form_compra" id="form_compra" min="0.01" step="0.01" value="{{ old('form_compra') }}">
                </div>
                <div class="input-field col-sm-6">
                    <label for="form_venta">Precio de venta</label>
                    <input class="form-control" type="number" name="form_venta" id="form_venta" min="0.01" step="0.01" value="{{ old('form_venta') }}">
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="form_stock">Stock inicial</label>
                    <input class="form-control" type="number" name="form_stock" id="form_stock" min="0" value="0" value="{{ old('form_stock') }}">
                </div>
                <div class="col-sm-6">
                    <div class="row">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Envío a domicilio</div>
                    <span>
                        <label>
                            <input name="form_envio" type="radio" value="N" checked />
                            <span>NO</span>
                        </label>
                    </span>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <span>
                        <label>
                            <input name="form_envio" type="radio" value="S" {{ old('form_envio') == 'S' ? 'checked' : '' }} />
                            <span>SÍ</span>
                        </label>
                    <span>
                </div>
            </div>
            <div class="row">
                <div class="input-field-sm-12">
                    <label for="form_descripcion">Descripción</label>
                    <textarea name="form_descripcion" id="form_descripcion" class="form-control">{{ old('form_descripcion') }}</textarea>
                </div>
            </div>
            <div class="row">
                <div class="input-field-sm-12">
                    <label for="form_observaciones">Observaciones</label>
                    <textarea name="form_observaciones" id="form_observaciones" class="form-control">{{ old('form_observaciones') }}</textarea>
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-3">
                    <input class="btn btn-primary btn-small" type="submit" value="Enviar">
                </div>
                <div class="input-field col-sm-3">
                    <input class="btn btn-secondary btn-small" type="reset" value="Borrar">
                </div>
            </div>
        </form>
    </div>
@endsection
