<?php $__env->startSection('page-title', 'Nuevo artículo'); ?>

<?php $__env->startSection('content-area'); ?>
    <h1>Nuevo artículo</h1>
    <?php if($errors->any()): ?>
        <div class="card-panel red accent-4 white-text">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><strong><?php echo e($error); ?></strong></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>
    <div class="container">
        <form action="<?php echo e(route('articulos.store')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <legend>Nuevo artículo</legend>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="form_nombre">Nombre del artículo</label>
                    <input class="form-control" type="text" name="form_nombre" id="form_nombre" value="<?php echo e(old('form_nombre')); ?>">
                </div>
                <div class="input-field col-sm-6">
                    <label for="form_color">Color</label>
                    <input class="form-control" type="text" name="form_color" id="form_color" value="<?php echo e(old('form_color')); ?>">
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="form_compra">Precio de compra</label>
                    <input class="form-control" type="number" name="form_compra" id="form_compra" min="0.01" step="0.01" value="<?php echo e(old('form_compra')); ?>">
                </div>
                <div class="input-field col-sm-6">
                    <label for="form_venta">Precio de venta</label>
                    <input class="form-control" type="number" name="form_venta" id="form_venta" min="0.01" step="0.01" value="<?php echo e(old('form_venta')); ?>">
                </div>
            </div>
            <div class="row">
                <div class="input-field col-sm-6">
                    <label for="form_stock">Stock inicial</label>
                    <input class="form-control" type="number" name="form_stock" id="form_stock" min="0" value="0" value="<?php echo e(old('form_stock')); ?>">
                </div>
                <div class="col-sm-6">
                    <div class="row">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Envío a domicilio</div>
                    <span>
                        <label>
                            <input name="form_envio" type="radio" value="N" checked />
                            <span>NO</span>
                        </label>
                    </span>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <span>
                        <label>
                            <input name="form_envio" type="radio" value="S" <?php echo e(old('form_envio') == 'S' ? 'checked' : ''); ?> />
                            <span>SÍ</span>
                        </label>
                    <span>
                </div>
            </div>
            <div class="row">
                <div class="input-field col s12">
                    <label for="form_descripcion">Descripción</label>
                    <textarea name="form_descripcion" id="form_descripcion" class="form-control"><?php echo e(old('form_descripcion')); ?></textarea>
                </div>
            </div>
            <div class="row">
                <div class="input-field col s12">
                    <label for="form_observaciones">Observaciones</label>
                    <textarea name="form_observaciones" id="form_observaciones" class="form-control"><?php echo e(old('form_observaciones')); ?></textarea>
                </div>
            </div>
            <div class="row">
                <div class="input-field col s6 m3">
                    <input class="btn btn-primary btn-small" type="submit" value="Enviar">
                </div>
                <div class="input-field col s6 m3">
                    <input class="btn btn-secondary btn-small" type="reset" value="Borrar">
                </div>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>