<?php $__env->startSection('page-title', 'Crear nuevo viaje'); ?>

<?php $__env->startSection('content-area'); ?>
    <h1>Crear nuevo viaje</h1>

    <?php if($errors->any()): ?>
        <div class="alert alert-danger">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><strong><?php echo e($error); ?></strong></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <form action="<?php echo e(route('tourStore')); ?>" method="post">
        <?php echo csrf_field(); ?>
        <legend>Nuevo viaje</legend>
        <div class="row">
            <div class="col col-sm-4">
                <label for="destino" class="full-label">Destino:<br>
                    <input type="text" name="destino" id="destino" value="<?php echo e(old('destino')); ?>" class="form-control">
                </label>
            </div>
            <div class="col col-sm-4">
                <label for="precio" class="full-label">Precio:<br>
                    <div class="input-group mb-3">
                        <input type="number" name="precio" id="precio" value="<?php echo e(old('precio') ? :0); ?>" class="form-control text-right" min="0" step="0.01">
                        <div class="input-group-append">
                            <span class="input-group-text">€</span>
                        </div>
                    </div>
                </label>
            </div>
            <div class="col col-sm-4">
                <label for="operador" class="full-label">Operador:<br>
                    <select name="operador" id="operador" class="form-control">
                    <option value="00" selected>Seleccione operador</option>
                    <?php $__currentLoopData = $operadores; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $operador): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($operador->id); ?>" <?php echo e((old('operador') == $operador->id) ? "selected" : ""); ?> ><?php echo e($operador->nombre); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </label>
            </div>
        </div>
        <div class="row">
            <div class="col col-sm-4">
                <label for="inicio-fecha" class="full-label">F.Inicio:<br>
                    <input type="date" name="inicio-fecha" id="inicio-fecha" value="<?php echo e(old('inicio-fecha') ? : $tiempos['fInicioDef']); ?>" class="form-control text-right">
                </label>
            </div>
            <div class="col col-sm-4">
                <label for="inicio-hora" class="full-label">H.Inicio:<br>
                    <input type="time" name="inicio-hora" id="inicio-hora" value="<?php echo e(old('inicio-hora') ? : $tiempos['hInicioDef']); ?>" class="form-control text-right">
                </label>
            </div>
        </div>
        <div class="row">
            <div class="col col-sm-4">
                <label for="final-fecha" class="full-label">F.Fin:<br>
                    <input type="date" name="final-fecha" id="final-fecha" value="<?php echo e(old('final-fecha') ? : $tiempos['fFinalDef']); ?>" class="form-control text-right">
                </label>
            </div>
            <div class="col col-sm-4">
                <label for="final-hora" class="full-label">H.Fin:<br>
                    <input type="time" name="final-hora" id="final-hora" value="<?php echo e(old('final-hora') ? : $tiempos['hFinalDef']); ?>" class="form-control text-right">
                </label>
            </div>
            <div class="col col-sm-4">
                <label for="duracion" class="full-label">Dias:<br>
                    <input type="number" name="duracion" id="duracion" value="<?php echo e(old('duracion') ? : 1); ?>" class="form-control text-right" step="1" min="1">
                </label>
            </div>
        </div>
        <div class="row">
            <div class="col col-sm-12">
                <label for="detalles" class="full-label">Detalles:<br>
                    <textarea name="detalles" id="detalles" rows="6" class="form-control"><?php echo e(old('detalles')); ?></textarea>
                </label>
            </div>
        </div>
        <div class="row">
            <div class="col col-sm-2">
                <input type="submit" class="btn btn-primary" value="Enviar">
           </div>
        </div>
    </form>

    <script languaje="javascript" src="<?php echo e(asset('js/tours/dates-tour.js')); ?>">
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>