<?php $__env->startSection('page-title', 'Lista de operadores'); ?>

<?php $__env->startSection('content-area'); ?>
    <h1>Operadores</h1>
    <div class="row"><br></div>
    <div class="row">
        <div class="col col-sm-4">
            <div class="btn-group" role="group">
                <?php echo $__env->make('commons.clases-btn-estado', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            </div>
        </div>
        <div class="col col-sm-6">
            <div class="input-group input-group-sm mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text">Buscar:</span>
                </div>
                <input type="text" class="form-control" id="campo-buscar" value="<?php echo e($busqueda); ?>">
                <div class="input-group-append">
                    <a href="#" class="btn btn-success disabled search-link" id="search-city">En ciudad</a>
                    <a href="#" class="btn btn-success disabled search-link" id="search-name">En nombre</a>
                    <a href="#" class="btn btn-warning" id="search-clear">Borrar</a>
                </div>
            </div>
        </div>
        <div class="col col-sm-2 text-right">
            <a href="<?php echo e(route('operatorCreate')); ?>" class="btn btn-success btn-sm">
                Nuevo
            </a>
        </div>
    </div>
    <div class="row"><br></div>
    <div class="row">
        <div class="col col-sm-8">
            <?php echo $__env->make('operators.ranges-selectors', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
        <div class="col col-sm-1">&nbsp;</div>
        <div class="col col-sm-1">Ver</div>
        <div class="col col-sm-2">
            <select class="form-control form-control-sm" id="selectorDeResultados">
                <option value="5">5</option>
                <option value="10">10</option>
                <option value="20">20</option>
                <option value="50">50</option>
                <option value="0">Todos</option>
            </select>
        </div>
    </div>
    <div class="row"><br></div>
    <?php if(count($operatorsList) > 0): ?>
        <table class="table table-striped table-bordered table-hover">
            <thead class="thead-dark">
                <tr>
                    <th>
                        <a href="#" id="NameOrderChange">
                            <span class="zona-rotulo-cabecera">
                                Nombre
                            </span>
                        </a>
                        <?php if($criterioDeOrden == 'nombre'): ?>
                            <span class="zona-orden-cabecera">
                                <?php if($sentidoDeOrden == "ASC"): ?>
                                    <i class="material-icons">keyboard_arrow_up</i>
                                <?php else: ?>
                                    <i class="material-icons">keyboard_arrow_down</i>
                                <?php endif; ?>
                            </span>
                        <?php endif; ?>
                    </th>
                    <th width='300'>
                        <a href="#" id="CityOrderChange">
                            <span class="zona-rotulo-cabecera">
                                Ciudad
                            </span>
                        </a>
                        <?php if($criterioDeOrden == 'ciudad'): ?>
                            <span class="zona-orden-cabecera">
                                <?php if($sentidoDeOrden == "ASC"): ?>
                                    <i class="material-icons">keyboard_arrow_up</i>
                                <?php else: ?>
                                    <i class="material-icons">keyboard_arrow_down</i>
                                <?php endif; ?>
                            </span>
                        <?php endif; ?>
                    </th>
                    <th width='70'>Rango</th>
                    <th>Ver</th>
                    <th>Est.</th>
                    <th>Viajes</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $operatorsList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $operator): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>
                            <a href="<?php echo e(route('operatorEdit', ['operador'=>$operator->id])); ?>">
                                <?php echo e($operator->nombre); ?>

                            </a>
                        </td>
                        <td><?php echo e($operator->ciudad); ?></td>
                        <td><?php echo e($operator->rango); ?></td>
                        <td class="celda-de-icono">
                            <a href="#" class="enlaceVerOperador" id="show<?php echo e($operator->id); ?>">
                                <i class="material-icons icono-azul">visibility</i>
                            </a>
                        </td>
                        <td class="celda-de-icono">
                            <a href="#" class="enlaceEstadoOperador" id="chst<?php echo e($operator->id); ?>">
                                <?php if(isset($operator->deleted_at)): ?>
                                    <i class="material-icons icono-rojo">check_circle_outline</i>
                                <?php else: ?>
                                    <i class="material-icons icono-verde">check_circle</i>
                                <?php endif; ?>
                            </a>
                        </td>
                        <td class="celda-de-icono">
                            <a href="#" class="enlaceViajesOperador" id="tour<?php echo e($operator->id); ?>">
                                <i class="material-icons icono-gris">shop</i>
                            </a>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>

        <div class="row">
            <div class="col col-sm-12">
                <?php echo e($operatorsList->links()); ?>

            </div>
        </div>
    <?php else: ?>
        <p>En este momento no hay operadores según el criterio seleccionado.
    <?php endif; ?>

    <?php echo $__env->make("commons.operators-forms", \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php echo $__env->make("commons.operators-modals", \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <script languaje="javascript" src="<?php echo e(asset('js/operators/operators-list.js')); ?>">
    </script>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>